// 
// Creative Software Group� - http://www.creativesoftwaregroup.com 
// Copyright (c) 2010-2013 
// by Creative Software Group Corporation 
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions 
// of the Software. 
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE. 
//

using System;
using System.Configuration;
using System.Data;

namespace CSG.Modules.aNvarCharTest
{

    /// ----------------------------------------------------------------------------- 
    /// <summary> 
    /// The Info class for aNvarCharTest 
    /// </summary> 
    /// <remarks> 
    /// </remarks> 
    /// <history> 
    /// </history> 
    /// ----------------------------------------------------------------------------- 
    public class aNvarCharTestInfo
    {

        // The following SQL Data Types are not supported in this version.
        // You will need to code them if they are needed.
        // timestamp
        // geography
        // geometry
        // hierarchyid

        // local property declarations

        private int _aNvarChar_PK;
        private string _nvarchar10;
        private string _nvarchar25;
        private string _nvarchar50;
        private string _nvarcharMax;
        private string _VarcharMax;

        // local properties

        /// <summary> This is the setter and getter for the aNvarChar_PK property. </summary>
        /// <returns> A int representing aNvarChar_PK property. </remarks>
        public int aNvarChar_PK
        {
            get { return _aNvarChar_PK; }
            set { _aNvarChar_PK = value; }
        }

        /// <summary> This is the setter and getter for the nvarchar10 property. </summary>
        /// <returns> A string representing nvarchar10 property. </remarks>
        public string nvarchar10
        {
            get { return _nvarchar10; }
            set { _nvarchar10 = value; }
        }

        /// <summary> This is the setter and getter for the nvarchar25 property. </summary>
        /// <returns> A string representing nvarchar25 property. </remarks>
        public string nvarchar25
        {
            get { return _nvarchar25; }
            set { _nvarchar25 = value; }
        }

        /// <summary> This is the setter and getter for the nvarchar50 property. </summary>
        /// <returns> A string representing nvarchar50 property. </remarks>
        public string nvarchar50
        {
            get { return _nvarchar50; }
            set { _nvarchar50 = value; }
        }

        /// <summary> This is the setter and getter for the nvarcharMax property. </summary>
        /// <returns> A string representing nvarcharMax property. </remarks>
        public string nvarcharMax
        {
            get { return _nvarcharMax; }
            set { _nvarcharMax = value; }
        }

        /// <summary> This is the setter and getter for the VarcharMax property. </summary>
        /// <returns> A string representing VarcharMax property. </remarks>
        public string VarcharMax
        {
            get { return _VarcharMax; }
            set { _VarcharMax = value; }
        }


    }
}