<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditaNvarCharTest.ascx.cs" Inherits="CSG.Modules.aNvarCharTest.EditaNvarCharTest" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>

<asp:GridView ID="gvCSG" runat="server" AutoGenerateColumns="False" CssClass="CSG_grid" 
            AlternatingRowStyle-CssClass="gridAltRow" RowStyle-CssClass="gridRow" ShowFooter="True"
            EditRowStyle-CssClass="gridEditRow" FooterStyle-CssClass="gridFooterRow" OnRowCancelingEdit="gvCSG_RowCancelingEdit"
            OnRowCommand="gvCSG_RowCommand" OnRowDataBound="gvCSG_RowDataBound" OnRowDeleting="gvCSG_RowDeleting"
            OnRowEditing="gvCSG_RowEditing" OnRowUpdating="gvCSG_RowUpdating" DataKeyNames="aNvarChar_PK">
            <Columns>
                <asp:TemplateField HeaderText="aNvarChar_PK" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="10px">
                    <EditItemTemplate>
                        <asp:HiddenField ID="txtEdtaNvarChar_PK" runat="server" Value='<%# Bind("aNvarChar_PK") %>'></asp:HiddenField>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:HiddenField ID="txtInsaNvarChar_PK" runat="server" Value='<%# Bind("aNvarChar_PK") %>'></asp:HiddenField>
                    </FooterTemplate>
                    <ItemTemplate>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="nvarchar10" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="50px">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtEdtnvarchar10" runat="server" Text='<%# Bind("nvarchar10") %>'
                            MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:TextBox ID="txtInsnvarchar10" runat="server" MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </FooterTemplate>
                    <ItemTemplate>
                        <%# Eval("nvarchar10")%>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="nvarchar25" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="50px">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtEdtnvarchar25" runat="server" Text='<%# Bind("nvarchar25") %>'
                            MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:TextBox ID="txtInsnvarchar25" runat="server" MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </FooterTemplate>
                    <ItemTemplate>
                        <%# Eval("nvarchar25")%>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="nvarchar50" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="50px">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtEdtnvarchar50" runat="server" Text='<%# Bind("nvarchar50") %>'
                            MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:TextBox ID="txtInsnvarchar50" runat="server" MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </FooterTemplate>
                    <ItemTemplate>
                        <%# Eval("nvarchar50")%>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="nvarcharMax" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="50px">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtEdtnvarcharMax" runat="server" Text='<%# Bind("nvarcharMax") %>'
                            MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:TextBox ID="txtInsnvarcharMax" runat="server" MaxLength="600" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </FooterTemplate>
                    <ItemTemplate>
                        <%# Eval("nvarcharMax")%>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="VarcharMax" HeaderStyle-HorizontalAlign="Left"
                    ControlStyle-Width="50px">
                    <EditItemTemplate>
                        <asp:TextBox ID="txtEdtVarcharMax" runat="server" Text='<%# Bind("VarcharMax") %>'
                            MaxLength="8000" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of varchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:TextBox ID="txtInsVarcharMax" runat="server" MaxLength="8000" Width="50px"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of varchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                    </FooterTemplate>
                    <ItemTemplate>
                        <%# Eval("VarcharMax")%>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Edit" ShowHeader="False" HeaderStyle-HorizontalAlign="Left">
                    <EditItemTemplate>                        <asp:LinkButton ID="lnkUpdate" runat="server" CausesValidation="True" CommandName="Update"
                            Text="Update" OnClientClick="return confirm('Update?')" ValidationGroup="Update"></asp:LinkButton>
                        <asp:ValidationSummary ID="vsUpdate" runat="server" ShowMessageBox="true" ShowSummary="false"
                            ValidationGroup="Update" Enabled="true" HeaderText="Validation Summary..." />
                        <asp:LinkButton ID="lnkCancel" runat="server" CausesValidation="False" CommandName="Cancel"
                            Text="Cancel"></asp:LinkButton>
                    </EditItemTemplate>
                    <FooterTemplate>
                        <asp:LinkButton ID="lnkAdd" runat="server" CausesValidation="True" CommandName="Insert"
                            ValidationGroup="Insert" Text="Insert"></asp:LinkButton>
                        <asp:ValidationSummary ID="vsInsert" runat="server" ShowMessageBox="true" ShowSummary="false"
                            ValidationGroup="Insert" Enabled="true" HeaderText="Validation..." />
                    </FooterTemplate>
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEdit" runat="server" CausesValidation="False" CommandName="Edit"
                            Text="Edit"></asp:LinkButton>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Left" />
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete" ShowHeader="False" HeaderStyle-HorizontalAlign="Left">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandName="Delete"
                            Text="Delete" OnClientClick="return confirm('Delete?')"></asp:LinkButton>
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Left" />
                </asp:TemplateField>
            </Columns>
            <EmptyDataTemplate>
                <table class="grid" cellspacing="0" rules="all" border="1" id="gvCSG" style="border-collapse: collapse;">
                    <tr>
                        <th align="left" scope="col">
                            nvarchar10
                        </th>
                        <th align="left" scope="col">
                            nvarchar25
                        </th>
                        <th align="left" scope="col">
                            nvarchar50
                        </th>
                        <th align="left" scope="col">
                            nvarcharMax
                        </th>
                        <th align="left" scope="col">
                            VarcharMax
                        </th>
                        <th align="left" scope="col">
                            Edit
                        </th>
                        <th scope="col">
                            Delete
                        </th>
                    </tr>
                    <tr class="gridRow">
                        <td colspan="8">
                            No Records found...
                        </td>
                    </tr>
                    <tr class="gridFooterRow">
                        <td>
                            <asp:TextBox ID="txtAddnvarchar10" runat="server" MaxLength="600"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                        </td>
                        <td>
                            <asp:TextBox ID="txtAddnvarchar25" runat="server" MaxLength="600"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                        </td>
                        <td>
                            <asp:TextBox ID="txtAddnvarchar50" runat="server" MaxLength="600"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                        </td>
                        <td>
                            <asp:TextBox ID="txtAddnvarcharMax" runat="server" MaxLength="600"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of nvarchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                        </td>
                        <td>
                            <asp:TextBox ID="txtAddVarcharMax" runat="server" MaxLength="8000"></asp:TextBox>
                        <!--
                        Proper validation can not be determined for a SQL Data Type of varchar. You will
                        need to provide the validation code for this filed if you need validation on this field.
                        -->
                        </td>
                        <td colspan="2" align="justify" valign="middle">
                            <asp:LinkButton ID="lnkAdd" runat="server" CausesValidation="true" CommandName="Add"
                                Text="Add"></asp:LinkButton>
                        </td>
                    </tr>
                </table>
            </EmptyDataTemplate>
        </asp:GridView>


<p>
    <%--<asp:linkbutton cssclass="CommandButton" id="cmdUpdate" resourcekey="cmdUpdate" runat="server" borderstyle="none" text="Update" OnClick="cmdUpdate_Click"></asp:linkbutton>&nbsp;--%>
    <asp:linkbutton cssclass="CommandButton" id="cmdCancel" resourcekey="cmdCancel" runat="server" borderstyle="none" text="Cancel" causesvalidation="False" OnClick="cmdCancel_Click"></asp:linkbutton>
    <%--&nbsp;<asp:linkbutton cssclass="CommandButton" id="cmdDelete" resourcekey="cmdDelete" runat="server" borderstyle="none" text="Delete" causesvalidation="False" OnClick="cmdDelete_Click"></asp:linkbutton>&nbsp;--%>
</p>
